openni_wrapper::OpenNIDriver::DeviceContext Struct Reference

`#include <pcl/io/openni_camera/openni_driver.h>`

## Public Member Functions

| DeviceContext (const xn::NodeInfo &device_node, xn::NodeInfo *image_node, xn::NodeInfo *depth_node, xn::NodeInfo *ir_node)
| DeviceContext (const xn::NodeInfo &device_node)
| DeviceContext (const DeviceContext &)

## Public Attributes

xn::NodeInfo | device_node
boost::shared_ptr< xn::NodeInfo > | image_node
boost::shared_ptr< xn::NodeInfo > | depth_node
boost::shared_ptr< xn::NodeInfo > | ir_node
boost::weak_ptr< OpenNIDevice > | device

## Detailed Description

Definition at line 209 of file openni_driver.h.

## Constructor & Destructor Documentation

openni_wrapper::OpenNIDriver::DeviceContext::DeviceContext | ( | const xn::NodeInfo & | device_node,
|  | xn::NodeInfo * | image_node,
|  | xn::NodeInfo * | depth_node,
|  | xn::NodeInfo * | ir_node
| ) |  |

openni_wrapper::OpenNIDriver::DeviceContext::DeviceContext | ( | const xn::NodeInfo & | device_node | ) |

openni_wrapper::OpenNIDriver::DeviceContext::DeviceContext | ( | const DeviceContext & |  | ) |

## Member Data Documentation

boost::shared_ptr<xn::NodeInfo> openni_wrapper::OpenNIDriver::DeviceContext::depth_node

Definition at line 216 of file openni_driver.h.

boost::weak_ptr<OpenNIDevice> openni_wrapper::OpenNIDriver::DeviceContext::device

Definition at line 218 of file openni_driver.h.

xn::NodeInfo openni_wrapper::OpenNIDriver::DeviceContext::device_node

Definition at line 214 of file openni_driver.h.

boost::shared_ptr<xn::NodeInfo> openni_wrapper::OpenNIDriver::DeviceContext::image_node

Definition at line 215 of file openni_driver.h.

boost::shared_ptr<xn::NodeInfo> openni_wrapper::OpenNIDriver::DeviceContext::ir_node

Definition at line 217 of file openni_driver.h.

The documentation for this struct was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/io/include/pcl/io/openni_camera/openni_driver.h